#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mdadm
Version		:	4.3
Release		:	17.0.10.rel%{?dist}
Summary		:	mdadm is used for controlling Linux md devices (aka RAID arrays)
Group		:	Utilities/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://www.kernel.org/pub/linux/utils/raid/mdadm/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------

Requires	:	chkconfig
Requires	:	eudev

#-----------------------------------------------------------------------------
%description
The mdadm program is used to create, manage, and monitor Linux MD (software
RAID) devices.  As such, it provides similar functionality to the raidtools
package.  However, mdadm is a single program, and it can perform
almost all functions without a configuration file, though a configuration
file can be used to help with some common tasks.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING TODO
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/%{name}.conf-example
%{_sysconfdir}/udev/rules.d/*.rules
%{_sbindir}/%{name}
%{_sbindir}/mdmon
%{_mandir}/man4/*.4.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
%{_sbindir}/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :


#=============================================================================
%prep
%setup -q
%define _exec_prefix %{nil}

#-----------------------------------------------------------------------------
#building application
%build

%{__tar} xf %{SOURCE1}

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	RUN_DIR=/dev/.mdadm				\
	SYSCONFDIR=%{_sysconfdir}			\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} 						\
	RUN_DIR=/dev/.mdadm				\
	DESTDIR=%{buildroot}				\
	MANDIR=%{_mandir}				\
	BINDIR=%{_sbindir}				\
	UDEVDIR=%{_sysconfdir}/udev			\
	install

install -D -m644 mdadm.conf-example			\
	%{buildroot}%{_sysconfdir}

#installing mdadm starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/*				\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#-----------------------------------------------------------------------------
%changelog
